## org.irisa.genouest.logol.test
Class GrammarTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.irisa.genouest.logol.test.GrammarTest

All Implemented Interfaces:
  junit.framework.Test

    public class GrammarTest

extends junit.framework.TestCase

Field Summary
`static java.lang.String` `installDir`

Constructor Summary
`GrammarTest()`

Method Summary
`void` `testAnySpacer()`
`void` `testBegin()`
`void` `testBeginPostpone()`
`void` `testCallModel()`
`void` `testCallModel2()`
`void` `testComment()`
`void` `testComplementTesting()`
`void` `testConversion()`
`void` `testCostPostpone()`
`void` `testEnd()`
`void` `testExternal()`
`void` `testExternalWithSpacer()`
`void` `testModelAnySpacer()`
`void` `testModelBegin()`
`void` `testModelMorphism()`
`void` `testModelnegContent()`
`void` `testModelReverseTesting()`
`void` `testModelVariable()`
`void` `testMorphism()`
`void` `testMultipleModel()`
`void` `testMyCost()`
`void` `testMySequence()`
`void` `testNegContent()`
`void` `testNegContent2()`
`void` `testNegContent3()`
`void` `testNotRepeat()`
`void` `testNotView()`
`void` `testOrCondition()`
`void` `testOrCondition2()`
`void` `testOverlap()`
`void` `testParentError()`
`void` `testParentError2()`
`void` `testParentExact()`
`void` `testPartialReverseTesting()`
`void` `testRepeat()`
`void` `testRepeatAny()`
`void` `testRepeatInterSpacer()`
`void` `testRepeatOverlap()`
`void` `testRepeatStartSpacer()`
`void` `testReverse()`
`void` `testReverseTesting()`
`void` `testVariable()`
`void` `testVariablePostContent()`
`void` `testVariablePostContentWithError()`
`void` `testVariableUnknown()`
`void` `testVariableWithDistance()`
`void` `testVariableWithDistance2()`
`void` `testVariableWithError()`
`void` `testVariableWithErrorAndDistance()`
`void` `testVMatch()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### installDir

    public static java.lang.String installDir

Constructor Detail

### GrammarTest

    public GrammarTest()

Method Detail

### testPartialReverseTesting

    public void testPartialReverseTesting()

### testReverseTesting

    public void testReverseTesting()

### testComplementTesting

    public void testComplementTesting()

### testModelReverseTesting

    public void testModelReverseTesting()

### testVariableUnknown

    public void testVariableUnknown()

### testVariable

    public void testVariable()

### testModelVariable

    public void testModelVariable()

### testComment

    public void testComment()

### testCostPostpone

    public void testCostPostpone()

### testBeginPostpone

    public void testBeginPostpone()

### testBegin

    public void testBegin()

### testModelBegin

    public void testModelBegin()

### testCallModel

    public void testCallModel()

### testCallModel2

    public void testCallModel2()

### testEnd

    public void testEnd()

### testModelMorphism

    public void testModelMorphism()

### testMorphism

    public void testMorphism()

### testMultipleModel

    public void testMultipleModel()

### testOrCondition

    public void testOrCondition()

### testOrCondition2

    public void testOrCondition2()

### testOverlap

    public void testOverlap()

### testParentExact

    public void testParentExact()

### testParentError

    public void testParentError()

### testParentError2

    public void testParentError2()

### testRepeatAny

    public void testRepeatAny()

### testRepeatInterSpacer

    public void testRepeatInterSpacer()

### testRepeatOverlap

    public void testRepeatOverlap()

### testRepeatStartSpacer

    public void testRepeatStartSpacer()

### testRepeat

    public void testRepeat()

### testReverse

    public void testReverse()

### testVariablePostContent

    public void testVariablePostContent()

### testVariablePostContentWithError

    public void testVariablePostContentWithError()

### testVariableWithError

    public void testVariableWithError()

### testVariableWithDistance

    public void testVariableWithDistance()

### testVariableWithDistance2

    public void testVariableWithDistance2()

### testVariableWithErrorAndDistance

    public void testVariableWithErrorAndDistance()

### testMyCost

    public void testMyCost()

### testAnySpacer

    public void testAnySpacer()

### testModelAnySpacer

    public void testModelAnySpacer()

### testVMatch

    public void testVMatch()

### testNegContent

    public void testNegContent()

### testNegContent2

    public void testNegContent2()

### testNegContent3

    public void testNegContent3()

### testModelnegContent

    public void testModelnegContent()

### testNotRepeat

    public void testNotRepeat()

### testNotView

    public void testNotView()

### testConversion

    public void testConversion()

### testExternal

    public void testExternal()

### testExternalWithSpacer

    public void testExternalWithSpacer()

### testMySequence

    public void testMySequence()